io.vertx.ext.mongo

## Class BulkWriteOptions

- java.lang.Object
- - io.vertx.ext.mongo.BulkWriteOptions

-     public class BulkWriteOptions
      extends Object

  Options for configuring bulk write operations.
  Author:
    sschmitt

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_ORDERED` The default value of ordered = true
    `static String` | `ORDERED` Field name for the ordered value in json representation
    `static String` | `WRITE_OPTION` Field name for the writeOption value in json representation

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BulkWriteOptions()` Default constructor
    `BulkWriteOptions(boolean ordered)` Constructor specifying ordered
    `BulkWriteOptions(BulkWriteOptions other)` Copy constructor
    `BulkWriteOptions(JsonObject json)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `WriteOption` | `getWriteOption()` Get the write option
    `int` | `hashCode()`
    `boolean` | `isOrdered()` Get whether the operations will be executed in the given order
    `BulkWriteOptions` | `setOrdered(boolean ordered)` Set the ordered option
    `BulkWriteOptions` | `setWriteOption(WriteOption writeOption)` Set the write option
    `JsonObject` | `toJson()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ORDERED

          public static final String ORDERED

      Field name for the ordered value in json representation
      See Also:
        Constant Field Values

    - #### WRITE_OPTION

          public static final String WRITE_OPTION

      Field name for the writeOption value in json representation
      See Also:
        Constant Field Values

    - #### DEFAULT_ORDERED

          public static final boolean DEFAULT_ORDERED

      The default value of ordered = true
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BulkWriteOptions

          public BulkWriteOptions()

      Default constructor

    - #### BulkWriteOptions

          public BulkWriteOptions(boolean ordered)

      Constructor specifying ordered
      Parameters:
        `ordered` - the value of ordered

    - #### BulkWriteOptions

          public BulkWriteOptions(BulkWriteOptions other)

      Copy constructor
      Parameters:
        `other` - the one to copy

    - #### BulkWriteOptions

          public BulkWriteOptions(JsonObject json)

      Constructor from JSON
      Parameters:
        `json` - the json

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### getWriteOption

          public WriteOption getWriteOption()

      Get the write option
      Returns:
        the write option

    - #### setWriteOption

          public BulkWriteOptions setWriteOption(WriteOption writeOption)

      Set the write option
      Parameters:
        `writeOption` - the write option
      Returns:
        fluent reference to this

    - #### isOrdered

          public boolean isOrdered()

      Get whether the operations will be executed in the given order
      Returns:
        if ordered is enabled

    - #### setOrdered

          public BulkWriteOptions setOrdered(boolean ordered)

      Set the ordered option
      Parameters:
        `ordered` - the ordered option
      Returns:
        fluent reference to this

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2024 Eclipse. All rights reserved.